Loading...
Searching...
No Matches
ripemd.h File Reference
libavutil » Crypto and Hashing » Hash Functions » RIPEMD

Public header for RIPEMD hash function implementation. More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include "attributes.h"`

Go to the source code of this file.

## Functions

struct AVRIPEMD * | av_ripemd_alloc (void)
| Allocate an AVRIPEMD context.
int | av_ripemd_init (struct AVRIPEMD *context, int bits)
| Initialize RIPEMD hashing.
void | av_ripemd_update (struct AVRIPEMD *context, const uint8_t *data, size_t len)
| Update hash value.
void | av_ripemd_final (struct AVRIPEMD *context, uint8_t *digest)
| Finish hashing and output digest value.

## Variables

const int | av_ripemd_size

## Detailed Description

Public header for RIPEMD hash function implementation.

Definition in file ripemd.h.